package com.example.demo;

import org.springframework.stereotype.Component;

@Component
public class LogikaKalkulatora {
	public long oblicz(long liczba1, long liczba2, String operacja) {
		return switch(operacja) {
			case "+" -> liczba1 + liczba2;
			case "-" -> liczba1 - liczba2;
			case "*" -> liczba1 * liczba2;
			case "/" -> liczba1 / liczba2;
			default  -> 0L;
		};
	}
}
